Multiple FreeType vulnerabilities

2015-07-10T01:14:00
ID F5:K16900
Type f5
Reporter f5
Modified 2017-04-06T18:23:00

Description

F5 Product Development has assigned ID 531568 (BIG-IP), ID 531740 (BIG-IQ and Enterprise Manager), and ID 513595 (ARX) to these vulnerabilities, and has evaluated the currently supported releases for potential vulnerability. Additionally, BIG-IP iHealth may list Heuristic H16900 on the Diagnostics > Identified > Low screen.

To determine if your release is known to be vulnerable, the components or features that are affected by the vulnerabilities, and for information about releases or hotfixes that address the vulnerabilities, refer to the following table:

Product| Versions known to be vulnerable| Versions known to be not vulnerable| Severity| Vulnerable component or feature
---|---|---|---|---
BIG-IP LTM| 12.0.0
11.0.0 - 11.6.1
10.0.0 - 10.2.4| 12.1.0| Low1| FreeType package
BIG-IP AAM| 12.0.0
11.4.0 - 11.6.1| 12.1.0| Low1| FreeType package
BIG-IP AFM| 12.0.0
11.3.0 - 11.6.1| 12.1.0| Low1| FreeType package
BIG-IP Analytics| 12.0.0
11.0.0 - 11.6.1| 12.1.0| Low1| FreeType package
BIG-IP APM| 12.0.0
11.0.0 - 11.6.1
10.1.0 - 10.2.4| 12.1.0| Low1| FreeType package
BIG-IP ASM| 12.0.0
11.0.0 - 11.6.1
10.1.0 - 10.2.4| 12.1.0| Low1| FreeType package
BIG-IP DNS| 12.0.0| 12.1.0| Low1| FreeType package
BIG-IP Edge Gateway| 11.0.0 - 11.3.0
10.1.0 - 10.2.4| None| Low1| FreeType package
BIG-IP GTM| 11.0.0 - 11.6.1
10.1.0 - 10.2.4| None| Low1| FreeType package
BIG-IP Link Controller| 12.0.0
11.0.0 - 11.6.1
10.1.0 - 10.2.4| 12.1.0| Low1| FreeType package
BIG-IP PEM| 12.0.0
11.3.0 - 11.6.1| 12.1.0| Low1| FreeType package
BIG-IP PSM| 11.0.0 - 11.4.1
10.1.0 - 10.2.4| None| Low1| FreeType package
BIG-IP WebAccelerator| 11.0.0 - 11.3.0
10.1.0 - 10.2.4| None| Low1| FreeType package
BIG-IP WOM| 11.0.0 - 11.3.0
10.1.0 - 10.2.4| None| Low1| FreeType package
ARX| 6.0.0 - 6.4.0| None| Medium| FreeType library
Enterprise Manager| 3.0.0 - 3.1.1| None| Low1| FreeType package
FirePass| None| 7.0.0
6.0.0 - 6.1.0| Not vulnerable| None
BIG-IQ Cloud| 4.0.0 - 4.5.0| None| Low1| FreeType package
BIG-IQ Device| 4.2.0 - 4.5.0| None| Low1| FreeType package
BIG-IQ Security| 4.0.0 - 4.5.0| None| Low1| FreeType package
BIG-IQ ADC| 4.5.0| None| Low1| FreeType package
BIG-IQ Centralized Management| 4.6.0| None| Low1| FreeType package
BIG-IQ Cloud and Orchestration| 1.0.0| None| Low1| FreeType package
LineRate| None| 2.5.0 - 2.6.0| Not vulnerable| None
F5 WebSafe| None| 1.0.0| Not vulnerable| None
Traffix SDC| None| 4.0.0 - 4.4.0
3.3.2 - 3.5.1| Not vulnerable| None

Note: As of February 17, 2015, AskF5 Security Advisory articles include the Severity value. Security Advisory articles published before this date do not list a Severity value.

1The FreeType package exists on the BIG-IP system but is not used in a way that exposes this vulnerability.

If the previous table lists a version in the Versions known to be not vulnerable column, you can eliminate this vulnerability by upgrading to the listed version. If the listed version is older than the version you are currently running, or if the table does not list any version in the column, then no upgrade candidate currently exists.

F5 responds to vulnerabilities in accordance with the Severity values published in the previous table. The Severity values and other security vulnerability parameters are defined in K4602: Overview of the F5 security vulnerability response policy.